/////////////////////////////////////////////////////////////////////////////
//
//   TLCACTC.HPP
//
//   Copyright (c) 1997  Galacticomm, Inc.        All Rights Reserved
//
//   Teleconference Action List Class
//   Declaration
//                                               - Phil Henning 8/12/97
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __TLCACTC_HPP
#define __TLCACTC_HPP

extern CTlcAList* tmpAList;

class CTlcAList {
public:
     CHAR m_name[LISTSIZ];
     GBOOL m_delTag;

     CTlcAList();
     ~CTlcAList();
private:
     ACTION m_action;
     ACTLST m_config;
     LONG m_abspos;

public:
     const CHAR* GetName();
     VOID SetName(const CHAR* name);
     const CHAR* wordGetFirst();
     const CHAR* wordGetNext();
     const CHAR* wordGetGT(const CHAR* word);
     GBOOL wordExists(const CHAR* word);

     ACTION& actionGetCurrent();
     LPACTION actionGetCurrentPtr();

     VOID SetConfig(LPACTLST config);

     LPACTLST GetConfigPtr();
     ACTLST& GetConfig();

     VOID Delete();
     GBOOL IsDeleted();

};

#endif // __TLCACTC_HPP
